<?php
/**
*
* @package phpBB Extension - Obscure Contact Us
* @copyright (c) 2015 - HiFiKabin
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace hifikabin\obscurecontactus\event;

/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
* Event listener
*/
class listener implements EventSubscriberInterface
{
	/** @var \phpbb\config\config */
	protected $config;

	/** @var \phpbb\template\template */
	protected $template;

	public function __construct(\phpbb\config\config $config, \phpbb\template\template $template)
	{
		$this->config = $config;
		$this->template = $template;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.page_header'	=> 'add_page_header_link',
		);
	}

	public function add_page_header_link($event)
	{
		$this->template->assign_vars(array(
			'OBSCURECONTACTUS_MOUSEOVER'	=> $this->config['obscurecontactus_mouseover'],
			'OBSCURECONTACTUS_PREFIX'		=> $this->config['obscurecontactus_prefix'],
			'OBSCURECONTACTUS_SUBJECT'		=> $this->config['obscurecontactus_subject'],
			'OBSCURECONTACTUS_SUFFIX'		=> $this->config['obscurecontactus_suffix'],
		));
	}
}
